@echo off
setlocal
title Restore user account data to %COMPUTERNAME%
color 0e
cls

rem --- Set the USMT_STORE directory
set USMT_STORE=%~dp0USMT\..

rem --- Set default password for local accounts that do not yet exist on the destination system
set PASS=C0d3R3dusmt

rem --- Make sure we run the correct USMT architecture
set USMT_TOOLS=%~dp0tools\x86
if exist "%ProgramFiles(x86)%" set USMT_TOOLS=%~dp0tools\amd64

rem --- Restore the user data
echo.
echo Restoring migration data...
"%USMT_TOOLS%\loadstate.exe" "%USMT_STORE%" /l:"%USMT_STORE%\logs\restore.log" /c /lac:%PASS% /lae /config:"%USMT_STORE%\config\config.xml" /i:"%USMT_STORE%\config\MigUser.xml" /i:"%USMT_STORE%\config\MigCustom.xml" /v:5

echo.
echo Done!
echo Press any key to exit...
pause >nul
